scim::Signal Class Reference
SignalSlot

Base class for the C++ signal interface. More...

`#include <scim_signals.h>`

## Public Member Functions

| Signal ()
| Constructor.
virtual | ~Signal ()
| Destructor.
SlotNode * | connect (Slot *slot)
| Creates a new SlotNode for slot and adds it to the connection_list.

## Protected Types

typedef std::vector< Pointer< SlotNode > > | ConnectionList
| ConnectionList type.

## Protected Attributes

ConnectionList | connection_list
| A list of all the slots connected to the signal.

## Detailed Description

Base class for the C++ signal interface.

## Member Typedef Documentation

## ConnectionList

typedef std::vector< Pointer<SlotNode> > scim::Signal::ConnectionList

protected

ConnectionList type.

## Constructor & Destructor Documentation

## Signal()

scim::Signal::Signal | ( |  | ) |

Constructor.

## ~Signal()

virtual scim::Signal::~Signal | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## connect()

SlotNode * scim::Signal::connect | ( | Slot * | slot | ) |

Creates a new SlotNode for slot and adds it to the connection_list.

References scim::slot().

Referenced by scim::Signal0< R, Marshal >::connect(), scim::Signal0< void, IgnoreMarshal >::connect(), scim::Signal1< void, const ConfigPointer & >::connect(), scim::Signal1< void, P1, IgnoreMarshal >::connect(), scim::Signal2< void, P1, P2, IgnoreMarshal >::connect(), scim::Signal2< void, SocketServer *, const Socket & >::connect(), scim::Signal3< R, P1, P2, P3, Marshal >::connect(), scim::Signal3< void, P1, P2, P3, IgnoreMarshal >::connect(), scim::Signal4< R, P1, P2, P3, P4, Marshal >::connect(), scim::Signal4< void, P1, P2, P3, P4, IgnoreMarshal >::connect(), scim::Signal5< R, P1, P2, P3, P4, P5, Marshal >::connect(), scim::Signal5< void, P1, P2, P3, P4, P5, IgnoreMarshal >::connect(), scim::Signal6< R, P1, P2, P3, P4, P5, P6, Marshal >::connect(), and scim::Signal6< void, P1, P2, P3, P4, P5, P6, IgnoreMarshal >::connect().

## Member Data Documentation

## connection_list

ConnectionList scim::Signal::connection_list

protected

A list of all the slots connected to the signal.

Referenced by scim::Signal0< R, Marshal >::emit(), scim::Signal0< void, IgnoreMarshal >::emit(), scim::Signal1< void, const ConfigPointer & >::emit(), scim::Signal1< void, P1, IgnoreMarshal >::emit(), scim::Signal2< void, P1, P2, IgnoreMarshal >::emit(), scim::Signal2< void, SocketServer *, const Socket & >::emit(), scim::Signal3< R, P1, P2, P3, Marshal >::emit(), scim::Signal3< void, P1, P2, P3, IgnoreMarshal >::emit(), scim::Signal4< R, P1, P2, P3, P4, Marshal >::emit(), scim::Signal4< void, P1, P2, P3, P4, IgnoreMarshal >::emit(), scim::Signal5< R, P1, P2, P3, P4, P5, Marshal >::emit(), scim::Signal5< void, P1, P2, P3, P4, P5, IgnoreMarshal >::emit(), scim::Signal6< R, P1, P2, P3, P4, P5, P6, Marshal >::emit(), and scim::Signal6< void, P1, P2, P3, P4, P5, P6, IgnoreMarshal >::emit().

The documentation for this class was generated from the following file:

- scim_signals.h